Find and/or aggregate attack discovery alerts

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/search
  • POST /s/{space_id}/api/detection_engine/attacks/search
Auth

Find and/or aggregate attack discovery alerts that match the given query. Searches scheduled and ad hoc attack discovery alert indices for the active space only.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

Search and/or aggregation query

_source union boolean | string | string[]
aggs object
fields string[]
query object
runtime_mappings object
size integer · min: 0
sort union oneOf
One of: (string | object)[] or string | object
track_total_hits boolean

Responses

Successful response

application/json

Response Type: object

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}